Package Details: automake-1.14 1.14.1-2

Git Clone URL: https://aur.archlinux.org/automake-1.14.git (read-only)
Package Base: automake-1.14
Description: A GNU tool for automatically creating Makefiles
Upstream URL: http://www.gnu.org/software/automake
Keywords: build GNU
Licenses: GPL
Groups: base-devel
Provides: automake=1.14
Submitter: icasdri
Maintainer: None
Last Packager: goetzc
Votes: 6
Popularity: 0.000401
First Submitted: 2015-03-08 21:26
Last Updated: 2016-03-06 22:33

Required by (408)

Sources (1)

Latest Comments

pogojotz commented on 2017-08-28 12:05

I managed to compile the package by downgrading perl from version 2.26 to 2.24.

FredBezies commented on 2017-07-07 16:59

Can't find a way to build it. Orphaning it. Sorry :(

anovikov commented on 2017-06-20 10:05

[anton@nb-116 automake-1.14.1]$ make
GEN doc/automake-1.14.1
help2man: can't get `--help' info from automake-1.14
Try `--no-discard-stderr' if option outputs to stderr
make: *** [Makefile:3707: doc/automake-1.14.1] Error 255
[anton@nb-116 automake-1.14.1]$ ./bin/automake --help
Can't locate Automake/Config.pm in @INC (you may need to install the Automake::Config module) (@INC contains: /usr/share/automake-1.14 /usr/lib/perl5/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl) at ./bin/automake line 48.
BEGIN failed--compilation aborted at ./bin/automake line 48.

anovikov commented on 2017-06-20 09:25

I fail to build it and openbmc trying to build automake-1.15 fails with the same error.

==> Starting build()...
GEN bin/aclocal
GEN t/ax/shell-no-trail-bslash
GEN t/ax/cc-no-c-o
GEN bin/automake
GEN doc/aclocal.1
GEN runtest
GEN doc/automake.1
GEN lib/Automake/Config.pm
GEN t/ax/test-defs.sh
GEN doc/automake-1.14.1
GEN doc/aclocal-1.14.1
help2man: can't get `--help' info from automake-1.14
Try `--no-discard-stderr' if option outputs to stderr
make: *** [Makefile:3707: doc/automake-1.14.1] Error 255
make: *** Waiting for unfinished jobs....
==> ERROR: A failure occurred in build().

justAnotherUser commented on 2016-03-06 20:26

Line 14 of PKGBUILD should be

provides=("automake=1.14")
insted of
provides="automake=1.14"

Otherwise makepkg complains that 'provides should be an array'

matthieu637 commented on 2015-04-01 13:04

replace

for files in "$pkgdir"/usr/share/info/*; do
rename "$files" "$(echo $files | sed -r 's/(\.info)/-1.14\1/')" "$pkgdir"/usr/share/info/*
done

by

rename "automake" "automake-1.14" "$pkgdir"/usr/share/info/*